Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.remote.common
Interface T3ServletDef

Deprecated. Use RMI instead.

public interface T3ServletDef

Interface for T3Servlets. A T3Servlet must implement the methods in this interface. The work of the T3Servlet is done in the `execute()` method.

To instantiate and then use a T3Servlet, call getT3Servlet() (in weblogic.remote.common.RemoteServicesDef, which defines a RemoteT3 services factory) with a class that implements this interface, as shown in the example. Then call the `execute()` method with a ParamSet whose parameters match those declared in the implementing class.

Here's an example of how the interface is used:

      T3Client t3 = new T3Client("t3://host:port");

       // Manufacture a T3Servlet object for the client
       T3ServletDef ts = t3.services.remote()
                               .getT3Servlet("tutorial.remote.mail.mailer");

       // Execute the T3Servlet with methods from the T3Servlet
       // object's class, where "ps" is a ParamSet
       ts.execute(ps);

For more information, see the WebLogic Server documentation

Author:
  Copyright (c) 1996-1998, by WebLogic, Inc, Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `RemoteServicesDef`, `ParamSet`

Method Summary
`void` | `declareParams(ParamSet p)` Deprecated. Use RMI instead.
`void` | `execute(ParamSet p)` Deprecated. Use RMI instead.
`void` | `setServices(T3ServicesDef services)` Deprecated. Use RMI instead.

Method Detail

### setServices

    public void setServices(T3ServicesDef services)

  Deprecated. Use RMI instead.
  Sets the services object for the T3ServletDef. The services reference is used to obtain access to services in the T3Server.

  Parameters:
    `services` - T3ServletDef object

### execute

    public void execute(ParamSet p)
                 throws java.lang.Exception

  Deprecated. Use RMI instead.
  Executes a T3ServletDef with the specified parameters. The `execute()` method should contain the real work of the T3Servlet.

  Parameters:
    `p` - ParamSet with parameters for the remote method invocation
  Throws:
    java.lang.Exception - if there is an execution error

### declareParams

    public void declareParams(ParamSet p)
                       throws ParamSetException

  Deprecated. Use RMI instead.
  Passes parameters for the T3ServletDef when it is executed. The `declareParams()` method is called by the T3Server itself when the T3Servlet is executed.

  Parameters:
    `p` - ParamSet object
  Throws:
    ParamSetException - if there is an error in the ParamSet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD